.cookie-bar__btn {
    display: inline-block;
    color: #fff;
    font-size: 17px;
    line-height: 20px;
    border-radius: 4px;
    padding: 15px 30px;
    text-align: center;
    position: relative;
    z-index: 1;
    cursor: pointer;
}

.cookie-bar__btn-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 16px;
    -webkit-column-gap: 16px;
    -moz-column-gap: 16px;
    column-gap: 16px;
    width: 100%;
}

.cookie-bar__btn-container .cookie-bar__btn:first-child {
    /*margin-right: 20px;*/
}

.cookie-bar__btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0;
    transition: opacity 1s ease;
    border-radius: inherit;
}

.cookie-bar__btn:hover::before,
.cookie-bar__btn:focus::before {
    opacity: 1;
}

.cookie-bar__btn:focus::before {
    opacity: 0;
}

.cookie-bar__link {
    font-weight: 300;
    color: #0da018;
    border-bottom: 1px solid #0da018;
}

/* cookies bar */
/*comment z-index: -1;*/
.cookie-bar {
    /*padding: 14px 25px 14px 20px;*/
    background-color: rgb(255, 255, 255);
    color: rgb(51, 51, 51);
    /*bottom: 40px;*/
    /*right: 40px;*/
    border-radius: 5px;
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: space-between;
    opacity: 0;
    font-size: 14px;
    /*max-width: 700px;*/
    z-index: -1;
    font-weight: 300;
    box-shadow: 0 -1px 10px 0 rgb(172 171 171 / 30%);
    /*transform: translateY(300%);*/
    transition: transform .3s ease-in-out;

    /*new style*/
    max-width: calc(100vw - 30px);
    width: 420px;
    padding: 32px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    flex-direction: column;
}

.js--open {
    opacity: 1;
    /*transform: translateY(0);*/
    z-index: 11111111;
}

.cookie-bar__title {
    font-size: 28px;
    line-height: 36px;
    font-weight: 500;
    font-style: normal;
    color: #282828;
}

.cookie-bar__icon svg {
    width: 32px;
    height: 32px;
}

.cookie-bar__icon {
    /*width: 5%;*/
    text-align: left;
    display: flex;
    column-gap: 12px;
}

.cookie-bar__message a{
    color: #0da018;
    text-decoration: underline;
}
.cookie-bar__message {
    /*width: 60%;*/
    text-align: left;
    margin-top: 8px;
    margin-bottom: 16px;
}

.cookie-bar__btn {
    /*width: calc(100% / 2);*/
    align-self: center;
    padding: 9px 12px;
    font-size: 13px;
    font-weight: 400;
    line-height: 1;
}

.cookie-bar__link {
    font-weight: 300;
    color: #0da018;
    border-bottom: 1px solid #0da018;
}

@media screen and (max-width: 800px) {
    .cookie-bar__btn-container {
        width: 100%;
    }

    /*.cookie-bar__icon {*/
    /*    display: none;*/
    /*}*/

    .cookie-bar {
        flex-direction: column;
    }

    .cookie-bar__message {
        margin-bottom: 15px;
        width: 100%;
    }

    /*.cookie-bar {*/
    /*    left: 20px;*/
    /*    bottom: 20px;*/
    /*    right: 20px;*/
    /*    max-width: 100%;*/
    /*}*/

    .cookie-bar__btn {
        width: 100%;
    }

    /*.cookie-bar__btn-container .cookie-bar__btn:first-child {*/
    /*    margin-right: 0;*/
    /*    margin-bottom: 10px;*/
    /*}*/
}


.CookieDeclarationDialogText,
.CookieDeclarationIntro,
.CookieDeclarationLastUpdated {
    margin: 0 0 14px 0
}

.CookieDeclarationType {
    display: block;
    margin: 12px 0 12px 0;
    padding: 8px 8px 0 8px;
    border: 1px solid #333333;
    vertical-align: top;
}

.CookieDeclarationTypeHeader {
    font-weight: bold;
}

.CookieDeclarationTypeDescription {
    margin: 2px 0 16px 0;
}

.CookieDeclarationTable {
    table-layout: fixed;
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    margin: 0 0 18px 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

.CookieDeclarationTableHeader {
    font-weight: bold;
    border-bottom: 1px solid #777777;
    text-align: left;
    padding: 4px;
    overflow: hidden;
}

.CookieDeclarationTableHeader[dir='rtl'] {
    text-align: right;
}

.CookieDeclarationTableCell {
    text-overflow: ellipsis;
    word-wrap: break-word;
    border-bottom: 1px solid #777777;
    vertical-align: top;
    padding: 4px 4px 5px 4px;
}

#CookieDeclarationUserStatusLabelConsentId {
    text-overflow: ellipsis;
    word-wrap: break-word;
}

@media all and (max-width: 600px) {

    .CookieDeclaration table.CookieDeclarationTable tr td:nth-child(n+5),
    .CookieDeclaration table.CookieDeclarationTable tr th:nth-child(n+5),
    .CookieDeclaration table.CookieDeclarationTable colgroup col:nth-child(n+5) {
        display: none;
    }
}

/*@media all and (max-width: 410px) {*/
/*    .cookie-bar__message {*/
/*        max-width: 277px;*/
/*        margin-right: auto;*/
/*        font-size: 13px;*/
/*    }*/
/*}*/

.CookieDeclarationTableCell a {
    padding: 2px 0;
    font-weight: 700;
    font-size: 15px;
    line-height: 16px;
    cursor: pointer;
    font-weight: 300;
    color: #0da018;
    border-bottom: 1px solid #0da018;
}

#cookie_svg {
    vertical-align: middle;
}

.cookies__wrapper-first.js--open {
    background: #0000004d;
    z-index: 10000000;
}
/*comment z-index: -1;*/
.cookies__wrapper-first {
    z-index: -1;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.cookies__settings-btn{

}
